- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
tbb::combinable< T > Class Template Reference
Containers

Thread-local storage with optional reduction. More...

`#include <combinable.h>`

## Public Member Functions
template<typename finit >
| combinable (finit _finit)
| ~combinable ()
| destructor
| combinable (const combinable &other)
combinable & | operator= (const combinable &other)
void | clear ()
T & | local ()
T & | local (bool &exists)
template<typename combine_func_t >
T | combine (combine_func_t f_combine)
template<typename combine_func_t >
void | combine_each (combine_func_t f_combine)

## Detailed Description

### template<typename T>
class tbb::combinable< T >

Thread-local storage with optional reduction.

The documentation for this class was generated from the following file:

- combinable.h

Copyright © 2005-2014 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.